質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.59%

railsをインストールできない

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 3,239

yusn

score 24

初歩的な質問ですいません。
今回はRuby on railsのインストール方法について教えてほしいです。

windowsで下記のインストールを行いました。

>gem update --system
Latest version already installed. Done.
PS C:\WINDOWS\system32> gem -v
2.7.8

PS C:\WINDOWS\system32> gem install bundler
Successfully installed bundler-1.17.1
Parsing documentation for bundler-1.17.1
Done installing documentation for bundler after 6 seconds
1 gem installed

>gem install rails --no-ri --no-rdoc
MSYS2 could not be found. Please run 'ridk install'
or download and install MSYS2 manually from https://msys2.github.io/

>gem install ridk
ERROR:  Could not find a valid gem 'ridk' (>= 0) in any repository
ERROR:  Possible alternatives: idk, radk, rcdk, rick, rid

railsのところでridkをインストールしてと言われたので行なったらエラーが発生しました。
これを解決するにはどうしたらいいのでしょうか?
よろしくお願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

エラーメッセージにridk installを実行するか、MSYS2をダウンロードしてインストールしろと出ているので、まずはそのようにしてみてはどうでしょうか?
https://msys2.github.io/

【追記】

Windows上のRubyでGemインストールする際に、バイナリをビルドするタイプのものを問題なくコンパイルできる環境を整えるのは結構面倒です。Railsプログラミングをやることが目的で、Windows上でRails環境構築するのが目的ではないのであれば、以下のようなオールインワンのアプリケーションを使用したほうが手間がかからないです。
※Ruby、Rails、MySQL/PostgreSQL、Apache HTTPDがまとめられています。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/12/03 16:58

    MSYS2をダウンロードしてインストールしました!
    そのあとにgem install railsを行ったところ
    >gem install rails
    Temporarily enhancing PATH for MSYS/MINGW...
    Building native extensions. This could take a while...
    ERROR: Error installing rails:
    ERROR: Failed to build gem native extension.

    current directory: C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/nio4r-2.3.1/ext/nio4r
    C:/Ruby25-x64/bin/ruby.exe -r ./siteconf20181203-8272-eosgr2.rb extconf.rb

    current directory: C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/nio4r-2.3.1/ext/nio4r
    make "DESTDIR=" clean
    'make' �́A����R�}���h�܂��͊O���R�}���h�A
    ����”\�ȃv���O�����܂��̓o�b�` �t�@�C���Ƃ��ĔF���� ��Ă��܂���B

    current directory: C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/nio4r-2.3.1/ext/nio4r
    make "DESTDIR="
    'make' �́A����R�}���h�܂��͊O���R�}���h�A
    ����”\�ȃv���O�����܂��̓o�b�` �t�@�C���Ƃ��ĔF���� ��Ă��܂���B

    make failed, exit code 1

    Gem files will remain installed in C:/Ruby25-x64/lib/ruby/gems/2.5.0/gems/nio4r-2.3.1 for inspection.
    Results logged to C:/Ruby25-x64/lib/ruby/gems/2.5.0/extensions/x64-mingw32/2.5.0/nio4r-2.3.1/gem_make.out

    と出てきてしまいました。
    ここからどうすればいいのでしょうか?

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.59%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る